Skip to main content
PATCH
Update card attributes or archive/unarchive.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

card_id
string
required

Card ID is a numerical string that identifies a card.

Body

application/json

Card fields that need to be updated. All omitted fields are left unmodified.

title
string | null
Example:

"My Card"

board_id
string | null
Example:

"2"

list_id
string | null
Example:

"114"

project_id
string | null
Example:

"1"

sprint_id
string | null

sprint id

Example:

"8"

owner_id
string | null
start_date
integer<int64> | null

unix timestamp in seconds

Example:

1608742037016

due_date
integer<int64> | null

unix timestamp in seconds

Example:

1608742037016

position
integer | null

a position where the card should be placed in the list

Example:

5

priority
integer | null
Required range: 0 <= x <= 4
Example:

1

estimate
integer | null

effort estimation enum for the card. 0 is unset, 1 is least, 5 is greatest. will map to different values depending on project settings.

Required range: 0 <= x <= 5
Example:

3

time_estimate_seconds
integer | null

Original time estimate for the card in seconds. Pass 0 to clear.

time_remaining_seconds
integer | null

Remaining time estimate in seconds. Manual adjustment overrides the auto-decremented value.

archived
boolean | null

make this card archived/unarchived

Example:

true

cover_image
object

Response

Updated card response

card
object